LinksUpdate link
Links

Update link

Partially update a short link.

curl -X PATCH "https://api.mythic-analytics.com/api/v1/links/example_string" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -d '{
  "destination_url": "example_string",
  "title": "example_string",
  "tags": [
    "example_string"
  ],
  "password": "example_string",
  "expires_at": "2024-12-25T10:00:00Z",
  "metadata": {}
}'
{
  "success": true,
  "data": {
    "id": "lnk_9xP3qLmN",
    "destination_url": "https://acme-retail.com/summer-sale",
    "short_url": "https://go.mythic-analytics.com/summer-sale",
    "slug": "summer-sale",
    "title": "Summer Sale Campaign",
    "client_id": "acme-retail",
    "clicks": 1247,
    "tags": [
      "example_string"
    ],
    "has_password": false,
    "expires_at": "2024-12-25T10:00:00Z",
    "metadata": {},
    "created_at": "2024-06-01T12:00:00.000Z",
    "updated_at": "2024-06-15T08:30:00.000Z"
  }
}
PATCH
/links/{id}
PATCH
Security Scheme
Bearer Tokenstring
Required

Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY

Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY
path
idstring
Required

Short link identifier.

Content-Typestring
Required

The media type of the request body

Options: application/json
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY

Path Parameters

idstring
Required

Short link identifier.

Responses

successboolean
dataobject